Bug 52776 - www/mod_jk fix and update
Summary: www/mod_jk fix and update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ernst de Haan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-05-29 03:50 UTC by Palle Girgensohn
Modified: 2003-06-11 12:25 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (6.55 KB, patch)
2003-05-29 03:50 UTC, Palle Girgensohn
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Palle Girgensohn 2003-05-29 03:50:03 UTC
Hi,

Here's a suggestion to fix the broken mod_jk. It builds very cleanly
without depending on anything more than necessary, and has a slave
ports (sent in separately) for building with apache2. Also, it is a
major update of the apache module for communicating with apache using
ajp1x. It is compatible with tomcat-3.x, 4.x (and surely 5.x) on the
Java side.

See also ports/52774 and ports/52775 for the equivalent jk2 ports. I
think there is a gain for the FreeBSD community to use all four ports
I've sent in tonight.

Fix: Apply the patch below to www/mod_jk

and don't forget to add and remove some stuff:

cvs remove  files/Makefile.freebsd \
            files/mod_jk.conf

cvs add files/mod_jk.conf.sample \
	files/patch-configure.in \
	files/workers.properties.sample
Comment 1 Palle Girgensohn 2003-05-29 04:03:16 UTC
Forgot to mention, this port builds on work by
Larry Lansing <lansil@fuzzilicious.fuzzynerd.com>, in PR ports/50828. This 
really supersedes and updates that port, though.
Comment 2 Pete Fritchman freebsd_committer 2003-06-01 20:16:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->znerd

Over to maintainer.
Comment 3 Ernst de Haan freebsd_committer 2003-06-11 12:24:50 UTC
State Changed
From-To: open->closed

Committed, thanks.